Support » Plugin: Paid Memberships Pro - Restrict Member Access to Content, Courses, Communities - Free or Paid Subscriptions » require(): Failed opening required Stripe/lib/Error/Idempotency.php

  • Resolved Yann at WP&Co

    (@ydubois)


    Version 2.1 causes fatal E_COMPILE_ERROR due to missing lib:

    wp-content/plugins/paid-memberships-pro/includes/lib/Stripe/lib/Error/Idempotency.php

    Payment is broken.

Viewing 5 replies - 1 through 5 (of 5 total)
  • Plugin Author Jason Coleman

    (@strangerstudios)

    Hi there.

    I accidentally pushed files to the SVN repository here on wordpress.org missing that one file.

    You can fix this in a few ways.

    First, DO NOT DELETE THE PAID MEMBERSHIPS PRO PLUGIN FROM THE PLUGINS PAGE OF YOUR WORDPRESS DASHBOARD. This will delete all of your PMPro data!

    You can grab a copy of that file here: https://raw.githubusercontent.com/strangerstudios/paid-memberships-pro/dev/includes/lib/Stripe/lib/Error/Idempotency.php and move it into the right spot using FTP.

    Alternatively, you can edit the paid-memberships-pro.php file and change the version back to 2.0.7. Then visit the updates page. This will trigger WP to download PMPro again.

    You could also download the entire 2.1 zip file here (https://downloads.wordpress.org/plugin/paid-memberships-pro.2.1.zip) and replace the paid-memberships-pro folder using FTP.

    Let me know if this helps.

    Thread Starter Yann at WP&Co

    (@ydubois)

    I re-downloaded the plugin ZIP from WP Plugin dir, and checked that now the formerly missing file is there in the zip archive. Then I overwrote all the plugin files on my server via sFTP. I just did a Stripe subscription/payment test and it worked. The Stripe Developer log shows that it used the payment_intents API. I guess everything works now.

    Thanks.

    Plugin Author Jason Coleman

    (@strangerstudios)

    Awesome. Thanks, Yann!

    Thread Starter Yann at WP&Co

    (@ydubois)

    @strangerstudios maybe you should contact Stripe and tell them that now your “Partner Solution” is SCA-ready. WP Paid Membership still shows up as “Not ready for SCA” in the Stripe SCA integration migration dashboard right now.

    Plugin Author Jason Coleman

    (@strangerstudios)

    The CURRENT 2.1 version on WordPress.org here has all of the files. In a little bit, I will publish a v2.1.0.1 that is no different, but also has all the files, just in case anyone else happened to download the plugin in those 5-10 minutes before I detected and fixed the missing file.

    Sorry again about this.

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘require(): Failed opening required Stripe/lib/Error/Idempotency.php’ is closed to new replies.